Bug 242577 - --set-resolution CLI does not work
--set-resolution CLI does not work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhpxl (Show other bugs)
5.0
All Linux
high Severity high
: rc
: 5.5
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Patch
Depends On:
Blocks: 499522
  Show dependency treegraph
 
Reported: 2007-06-04 17:22 EDT by Jack Neely
Modified: 2010-10-22 11:27 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 05:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (104.30 KB, text/plain)
2007-10-05 10:26 EDT, Jack Neely
no flags Details
xorg log file (94.58 KB, text/plain)
2007-10-05 10:32 EDT, Jack Neely
no flags Details
xorg configuration - desired configuration (673 bytes, text/plain)
2007-10-05 10:32 EDT, Jack Neely
no flags Details
log after running --set-resoultion (94.48 KB, text/plain)
2007-10-05 10:36 EDT, Jack Neely
no flags Details
xorg configuration - after --set-resolution (586 bytes, text/plain)
2007-10-05 10:38 EDT, Jack Neely
no flags Details
Proposed patch (502 bytes, patch)
2009-06-22 12:11 EDT, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Jack Neely 2007-06-04 17:22:46 EDT
Description of problem:
I have a Dell Optiplex 745 connected to a Dell 1907FP lcd monitor which has a
max resolution of 1280x1024.  For whatever reason X believes this monitor is
capable of 1400x1050.

Running the GUI of system-config-display and selecting the proper resolution
from the dialogs produces a modified xorg.conf with a Modes line that starts
with "1280x1024" as expected.  X then runs in the correct resolution.

However, if I use system-config-display --set-resolution "1280x1024" there is no
change in xorg.conf (save a comment) and X continues to try to run in the
highest resolution that it discovers.

I believe this is also affecting my kickstart installs of these machines.  Using
"xconfig --resolution "1280x1024" --depth 24" or "monitor --monitor="LCD Panel
1280x1024"" have no affect on the produced xorg.conf and the machine starts up
with its bad X configuration.

I need to configure this via kickstart for large deployments and there doesn't
seem to be a way besides providing my own custom xorg.conf which I'd rather not do.

Version-Release number of selected component (if applicable):
system-config-display-1.0.48-2.el5
Comment 1 Matěj Cepl 2007-09-04 08:40:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-10-05 09:43:40 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Jack Neely 2007-10-05 10:26:56 EDT
Created attachment 217461 [details]
xorg log file

Using no xorg configuration (rm /etc/X11/xorg.conf)
Comment 4 Jack Neely 2007-10-05 10:32:00 EDT
Created attachment 217491 [details]
xorg log file

Xorg log file generated by X after using s-c-display and selecting the proper
resolution from the dialog.  This is the desired configuration.
Comment 5 Jack Neely 2007-10-05 10:32:59 EDT
Created attachment 217501 [details]
xorg configuration - desired configuration

This is the xorg.conf generated by the above invocation of s-c-display
Comment 6 Jack Neely 2007-10-05 10:36:57 EDT
Created attachment 217531 [details]
log after running --set-resoultion

After running system-config-display --set-resolution "1280x1024" this was the
log file produced.  X is running in 1400x1050 again.
Comment 7 Jack Neely 2007-10-05 10:38:00 EDT
Created attachment 217551 [details]
xorg configuration - after --set-resolution

This is the config file after running system-config-display --set-resolution
"1280x1024" where X runs in 1400x1050
Comment 8 Jack Neely 2007-10-05 10:41:20 EDT
Files attached.  This machine is using an ATI card PCI ID 7183 (x1300) (as RHEL5
doesn't recognize the card yet.)  I have the LCD display connected via the
analog VGA cable.
Comment 9 Lance A. Brown 2008-01-17 16:24:14 EST
I need to be able to set the resolution from the CLI on a variety of Dell
Optiplex and other workstations that are not correctly autoprobed under CentOS
5.0 and CentOS 5.1.  The --set-resolution option appears to be flat out ignored
in all my testing.
Comment 10 Adam Stokes 2008-11-05 10:35:02 EST
This problem also seems to occur on s-c-d GUI as well. After defining the resolution from the drop down box an updated xorg.conf gets written without the defined modes so X server will always probe via ddc for a correct resolution.

Thanks,
Adam
Comment 11 RHEL Product and Program Management 2009-03-26 12:51:54 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 18 Olivier Fourdan 2009-06-22 12:11:17 EDT
Created attachment 348937 [details]
Proposed patch

Seems the list of resolutions is not emptied in set_resolution (in rhpxl-0.41.1/rhpxl/xhwstate.py) prior to appending the new one.

So what happens is that a new list is built starting from the resolution asked for, appended to the already existing list that contains higher resolutions and therefore the resolution asked for is not selected by X (since there are other higher mode listed).

The attached patch seems to work in my test case.
Comment 36 Adam Jackson 2010-02-23 15:15:34 EST
2277402 build (dist-5E-qu-candidate, /cvs/dist:rpms/rhpxl/RHEL-5:rhpxl-0_41_1-9_el5) completed successfully

MODIFIED
Comment 40 errata-xmlrpc 2010-03-30 05:07:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0318.html

Note You need to log in before you can comment on or make changes to this bug.